@import "compass/css3";
@import "components/content_container";
@import "shared/payload_settings";
@import "components/breadcrumbs";

@import "shared/variables";


pre{
  font-family: $base-font-stack;
}

.ellipses{
  white-space:nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.error{
  color:red;
}

.breadcrumbs{
  li{
    width:33.3333%
  }

  a{
    width:100%;
    text-align: center;

    &:hover {
      background-color: #f2f2f2;
    }

    &:hover::after{
      border-left-color: #f2f2f2;
    }
  }
}

#dialog-region .modal{
  min-width: 400px;

  .close{
    display: inline;
  }

  .cred-limit-view{
    p{
      text-align: center;
    }
  }

  .mutation-options{
     margin-top: 20px;
    .columns.large-12{
        width: 160px;
        margin: 0 auto;
    }
  }

  .confirmation-view{
    text-align: center;

    .row{
      margin-top: 10px;

      span{
        color: #EC5700;
      }
    }
  }
}

#task-chain-region{
  .content-region{
    border: 0px;
    &>.foundation{
      margin: 0px;
      border:0px;
      padding: 10px 0 10px 0;
    }
  }
}



#bruteforce-main-region{

  .content-region{
    h3.title{
      color: #EC5700;
    }

    .space{
      margin-top:10px;
    }

    .box-container{
      border: 1px solid #E7E7E7;
      border-top: 0;
    }

    .launch-container{
      margin-top: 10px;
      height:40px;

      a{
        margin-left: 0;
        position: absolute;
        width:92%;
        text-align: center;
        padding: 10px 18px !important;
      }
    }
  }


  #targets-region,#creds-region,#options-region{

    margin: 12px 0;

    fieldset{
      margin:auto;
      padding: auto;
      padding: 5px 0 10px 0;


      textarea{
        width:100%;
        height:57px;
        resize:none;

        &:disabled{
          opacity: 0.4;
        }

        &.tab-loading{
          background-image: url('/assets/spinner.gif');
          opacity: 0.4;
        }

        &.disabled{
          opacity: 0.4;
        }

      }

      input.time{
        width:90%;
      }

      hr{
        border-bottom: 0;
        color: #E7E7E7;
        border-top: 1px solid #E7E7E7;
        margin:12px 0;
        border-style: solid;
      }

      @import "shared/pretty_file_inputs";

      li.file.input{
        width:90%;
        margin-left: 0%;
        margin-bottom: 20px;
      }

      .count,.line-max{
        font-size: 11px;
        color: #EA8509;

        .fuzz{
          display: none;
        }
      }

    }
  }

  #targets-region, #creds-region{
    height: 612px;
    @import "components/file_input";
  }


  #targets-region, #creds-region{
    border-right: 1px solid #E7E7E7;
  }

  #targets-region{
    .tooltip-button{
      margin-left: -20%;
      margin-top: -2px;
    }

    .service{
      white-space: nowrap;
    }
  }

  #options-region{
    .time-between-attempts{
      width:100%;
    }
    .bottom-options{
      .tooltip-button{
        margin-top: -2px;
      }

      input{
        position: absolute;
        &+div{
          margin-left: 21px;
          width:80%;
          line-height: 17px;
          display: inline-block;
        }
      }
    }
  }

  #creds-region{
    fieldset{
      textarea{
        height: 153px;
      }
    }

    .file-upload-region{
      .error{
        margin-top: 0px;
        margin-bottom: 7px;
      }
    }

    .cancel.file-input{
      visibility: hidden;
      position: absolute;
      right:10px;
      top:16px;
      height: 20px;
      width:20px;
      text-align: center;
      border-radius: 50%;
      background-color: #666;
      color:white;
      &:hover{
        background-color: #2b2b2b;
      }

    }

    .mutation-label,.defaults-label{
      display: none;
      margin-top: 6px;
      span{
        background: #e95b00;
        color:white;
        font-size: 9px;
        font-weight: bold;
        padding: 2px 4px;
      }
    }
  }

}
